/[gentoo-x86]/sys-apps/policycoreutils/ChangeLog
Gentoo

Diff of /sys-apps/policycoreutils/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.71 Revision 1.120
1# ChangeLog for sys-apps/policycoreutils 1# ChangeLog for sys-apps/policycoreutils
2# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.71 2008/10/03 03:51:23 pebenito Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.120 2013/05/10 17:13:59 swift Exp $
4
5 10 May 2013; Sven Vermeulen <swift@gentoo.org> metadata.xml:
6 Add in CPE data for policycoreutils, historical CVEs use redhat as
7 application vendor
8
9*policycoreutils-2.1.14-r2 (07 May 2013)
10
11 07 May 2013; Sven Vermeulen <swift@gentoo.org>
12 +policycoreutils-2.1.14-r2.ebuild:
13 Fix bugs 467268 (yum bindings), 468832 (key error), 468830 (mls range
14 dependency)
15
16*policycoreutils-2.1.14-r1 (25 Apr 2013)
17
18 25 Apr 2013; Sven Vermeulen <swift@gentoo.org>
19 +policycoreutils-2.1.14-r1.ebuild:
20 New upstream release
21
22*policycoreutils-2.1.13-r11 (19 Apr 2013)
23
24 19 Apr 2013; Sven Vermeulen <swift@gentoo.org>
25 +policycoreutils-2.1.13-r11.ebuild:
26 Add selocal command to policycoreutils
27
28*policycoreutils-2.1.13-r10 (16 Apr 2013)
29
30 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
31 +policycoreutils-2.1.13-r10.ebuild:
32 Fix bugs #463222 (newrole O_RDWR) and #464808 (hardcoded python3.1 in rlpkg)
33
34 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
35 -policycoreutils-2.1.10-r1.ebuild, -policycoreutils-2.1.10-r3.ebuild,
36 -policycoreutils-2.1.10-r4.ebuild, -policycoreutils-2.1.10.ebuild:
37 Some cleanup (older release unstables)
38
39 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
40 policycoreutils-2.1.13-r9.ebuild:
41 Stabilize policycoreutils-2.1.13-r9
42
43*policycoreutils-2.1.13-r9 (19 Mar 2013)
44
45 19 Mar 2013; Sven Vermeulen <swift@gentoo.org>
46 +policycoreutils-2.1.13-r9.ebuild:
47 Fix bug #457786 - Link runscript_selinux with crypt
48
49*policycoreutils-2.1.13-r8 (10 Mar 2013)
50
51 10 Mar 2013; Sven Vermeulen <swift@gentoo.org>
52 +policycoreutils-2.1.13-r8.ebuild:
53 Adding selinux_gentoo init script for initramfs and cpu/online support
54 (#456914)
55
56*policycoreutils-2.1.13-r7 (09 Mar 2013)
57
58 09 Mar 2013; Sven Vermeulen <swift@gentoo.org>
59 +policycoreutils-2.1.13-r7.ebuild:
60 Update policycoreutils-extras to fix build failure when not building with PAM
61 support, see bug #457786
62
63*policycoreutils-2.1.13-r6 (30 Dec 2012)
64
65 30 Dec 2012; Sven Vermeulen +policycoreutils-2.1.13-r6.ebuild,
66 policycoreutils-2.1.13-r5.ebuild:
67 Stabilize r5, get r6 available as well which fixes rlpkg to include zfs
68 support
69
70*policycoreutils-2.1.13-r5 (17 Nov 2012)
71
72 17 Nov 2012; <swift@gentoo.org> policycoreutils-2.1.13-r4.ebuild,
73 +policycoreutils-2.1.13-r5.ebuild:
74 Stabilization, move sesandbox support to next release
75
76*policycoreutils-2.1.13-r4 (14 Oct 2012)
77
78 14 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r4.ebuild:
79 Remove support for python3 until upstream supports it
80
81 13 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.13-r3.ebuild:
82 Supporting user-provided patches using epatch_user
83
84*policycoreutils-2.1.13-r3 (09 Oct 2012)
85
86 09 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r3.ebuild:
87 Introducing new upstream release
88
89 06 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.10-r5.ebuild:
90 Stabilize
91
92*policycoreutils-2.1.10-r5 (08 Sep 2012)
93
94 08 Sep 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r5.ebuild:
95 Fix bug #427596 and #430806
96
97 10 Jul 2012; <swift@gentoo.org> policycoreutils-2.1.10-r3.ebuild:
98 Stabilization, drop libcgroup dependency along the way
99
100*policycoreutils-2.1.10-r4 (10 Jul 2012)
101
102 10 Jul 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r4.ebuild:
103 Support refpolicy style audit2allow (#417199)
104
105 26 Jun 2012; Mike Gilbert <floppym@gentoo.org>
106 policycoreutils-2.1.10-r1.ebuild, policycoreutils-2.1.10-r3.ebuild,
107 policycoreutils-2.1.10.ebuild:
108 Restrict pypy per Arfrever.
109
110*policycoreutils-2.1.10-r3 (25 Jun 2012)
111
112 25 Jun 2012; <swift@gentoo.org>
113 +files/policycoreutils-extra-1.21-fix-python3.patch,
114 +policycoreutils-2.1.10-r3.ebuild:
115 Improve support for python3, fixes bug #416301
116
117 13 May 2012; <swift@gentoo.org> -policycoreutils-2.1.0-r1.ebuild,
118 -policycoreutils-2.1.0-r2.ebuild:
119 Removing obsoleted ebuilds
120
121*policycoreutils-2.1.10-r1 (29 Apr 2012)
122
123 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild,
124 +policycoreutils-2.1.10-r1.ebuild:
125 Remove dependency on libcgroup (but drop sesandbox support along the way)
126
127 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild:
128 Stabilization
129
130*policycoreutils-2.1.10 (31 Mar 2012)
131
132 31 Mar 2012; <swift@gentoo.org> +policycoreutils-2.1.10.ebuild, metadata.xml:
133 Bump to version 2.1.10
134
135 26 Feb 2012; <swift@gentoo.org> policycoreutils-2.1.0-r2.ebuild:
136 Stabilization
137
138 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild,
139 metadata.xml:
140 Mark audit as a local USE flag
141
142*policycoreutils-2.1.0-r2 (14 Jan 2012)
143
144 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild:
145 Override auto-detection of pam and audit, use USE flags for this
146
147 12 Nov 2011; <swift@gentoo.org> -policycoreutils-2.0.82.ebuild,
148 -policycoreutils-2.0.82-r1.ebuild, -policycoreutils-2.0.85.ebuild,
149 -policycoreutils-2.1.0.ebuild:
150 removing obsoleted ebuilds
151
152 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.1.0-r1.ebuild:
153 Stabilization (tracker #384231)
154
155 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.0.82-r1.ebuild:
156 Stabilize 2.0.82-r1 to fix #372807
157
158*policycoreutils-2.1.0-r1 (17 Sep 2011)
159
160 17 Sep 2011; <swift@gentoo.org> +policycoreutils-2.1.0-r1.ebuild:
161 Add /var/lib/selinux directory, needed for 'semodule permissive' support (bug
162 #381755)
163
164 02 Sep 2011; <swift@gentoo.org> policycoreutils-2.0.85.ebuild,
165 policycoreutils-2.1.0.ebuild:
166 Update patch locations to dev.g.o instead of files/ folder
167
168 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
169 -policycoreutils-2.0.55.ebuild, -policycoreutils-2.0.69.ebuild,
170 -policycoreutils-2.0.69-r1.ebuild, -policycoreutils-2.0.69-r2.ebuild,
171 -files/policycoreutils-2.0.69-setfiles.diff:
172 Removed deprecated versions
173
174*policycoreutils-2.1.0 (03 Aug 2011)
175
176 03 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
177 +policycoreutils-2.1.0.ebuild:
178 Bump to 20110727 SELinux userspace release
179
180*policycoreutils-2.0.85 (15 Jul 2011)
181
182 15 Jul 2011; Anthony G. Basile <blueness@gentoo.org>
183 +policycoreutils-2.0.85.ebuild,
184 +files/policycoreutils-2.0.85-fix-seunshare-vuln.patch.gz,
185 +files/policycoreutils-2.0.85-sesandbox.patch.gz:
186 Add fix for bug #374897 and initial support for python3
187
188 08 Jul 2011; Samuli Suominen <ssuominen@gentoo.org>
189 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
190 policycoreutils-2.0.69-r1.ebuild, policycoreutils-2.0.69-r2.ebuild:
191 Convert from "useq" to "use".
192
193*policycoreutils-2.0.82-r1 (30 Jun 2011)
194
195 30 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
196 +policycoreutils-2.0.82-r1.ebuild:
197 Overwrite invalid .po files with valid ones, fixes bug #372807
198
199 16 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
200 policycoreutils-2.0.82.ebuild:
201 Drop use_nls dependency on gettext. Its mandatory. See bug #299681.
202 Also put gettext in COMMON_DEPS, it is more than a RDEPEND.
203
204 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
205 policycoreutils-2.0.82.ebuild:
206 Stable amd64 x86
207
208 16 Apr 2011; Anthony G. Basile <blueness@gentoo.org> metadata.xml:
209 Updated metadata info.
210
211 08 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
212 policycoreutils-2.0.82.ebuild:
213 Set SUPPORT_PYTHON_ABIS (bug #353762). Fix dependencies. Fix installation
214 with FEATURES="multilib-strict".
215
216*policycoreutils-2.0.82 (05 Feb 2011)
217
218 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
219 +policycoreutils-2.0.82.ebuild:
220 New upstream release.
221
222*policycoreutils-2.0.69-r2 (05 Feb 2011)
223
224 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
225 +policycoreutils-2.0.69-r2.ebuild,
226 +files/policycoreutils-2.0.69-setfiles.diff:
227 Fixed bug #300613
228
229 04 Apr 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
230 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
231 policycoreutils-2.0.69-r1.ebuild:
232 Delete calls to deprecated python_version().
233
234*policycoreutils-2.0.69-r1 (20 Sep 2009)
235
236 20 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
237 +policycoreutils-2.0.69-r1.ebuild:
238 Update rlpkg for ext4 and btrfs.
239
240 14 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
241 policycoreutils-2.0.69.ebuild:
242 Fix libsemanage DEP.
243
244 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
245 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild:
246 Add python_need_rebuild.
247
248*policycoreutils-2.0.69 (02 Aug 2009)
249
250 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
251 +policycoreutils-2.0.69.ebuild:
252 New upstream release.
253
254 18 Jul 2009; Chris PeBenito <pebenito@gentoo.org>
255 -policycoreutils-1.34.15.ebuild, policycoreutils-2.0.55.ebuild:
256 Mark stable. Remove old ebuilds.
4 257
5*policycoreutils-2.0.55 (03 Oct 2008) 258*policycoreutils-2.0.55 (03 Oct 2008)
6 259
7 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org> 260 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org>
8 +policycoreutils-2.0.55.ebuild: 261 +policycoreutils-2.0.55.ebuild:
350*policycoreutils-1.0 (03 Aug 2003) 603*policycoreutils-1.0 (03 Aug 2003)
351 604
352 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml, 605 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml,
353 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff: 606 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff:
354 Initial commit 607 Initial commit
355

Legend:
Removed from v.1.71  
changed lines
  Added in v.1.120

  ViewVC Help
Powered by ViewVC 1.1.20